#
# spec file for package texinfo (Version 4.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd timezone unzip util-linux vim zlib zlib-devel

Name:           texinfo
License:        GPL, Other License(s), see package
Group:          Productivity/Publishing/Texinfo
Autoreqprov:    on
Version:        4.8
Release:        22.2
Summary:        Tools Needed to Create Documentation from Texinfo Sources
URL:            http://www.texinfo.org
PreReq:         %{install_info_prereq}
Source:         ftp://ftp.gnu.org/pub/gnu/texinfo/texinfo-%{version}.tar.bz2
# URL:        https://texi2html.cvshome.org/
Source1:        texi2html-1.76.tar.bz2
Source2:        texi2roff-2.0.tar.bz2
Source3:        info-dir
Patch:          texinfo-%{version}.dif
Patch1:         texi2html-1.76.dif
Patch2:         texi2roff-2.0.dif
Patch3:         texi2roff.patch.bz2
Patch4:         texinfo-4.7-zlib.patch
Patch5:         texinfo-%{version}-tempfile.patch
Patch6:         texinfo-%{version}-echo.patch
Patch7:         texi2roff-2.0-gcc4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Texinfo is a documentation system that uses a single source file to
produce both online information and printed output.  Using Texinfo, you
can create a printed document with the normal features of a book,
including chapters, sections, cross-references, and indices.  From the
same Texinfo source file, you can create a menu-driven, online info
file with nodes, menus, cross-references, and indices.



Authors:
--------
    Andreas Schwab <schwab@suse.de>
    Brian Fox <bfox@gnu.ai.mit.edu>
    Charles Hannum <mycroft@gnu.ai.mit.edu>
    Daniel Hagerty <hag@gnu.ai.mit.edu>
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Eli Zaretskii  <eliz@is.elta.co.il>
    Jim Meyering <meyering@na-net.ornl.gov>
    Karl Berry  <karl@gnu.org>
    Kaveh R. Ghazi <ghazi@caip.rutgers.edu>
    Noah Friedman <friedman@prep.ai.mit.edu>
    Richard Stallman <rms@gnu.ai.mit.edu>
    Robert J. Chassell <bob@gnu.ai.mit.edu>
    Roland McGrath <roland@gnu.ai.mit.edu>

%debug_package
%package -n info
Summary:        A Stand-Alone Terminal-Based Info Browser
Group:          Productivity/Publishing/Texinfo
PreReq:         bash zlib

%description -n info
Info is a terminal-based program for reading documentation of computer
programs in the Info format. The GNU Project distributes most of its
on-line manuals in the Info format, so you need a program called "Info
reader" to read the manuals.



Authors:
--------
    Andreas Schwab <schwab@suse.de>
    Brian Fox <bfox@gnu.ai.mit.edu>
    Charles Hannum <mycroft@gnu.ai.mit.edu>
    Daniel Hagerty <hag@gnu.ai.mit.edu>
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Eli Zaretskii  <eliz@is.elta.co.il>
    Jim Meyering <meyering@na-net.ornl.gov>
    Karl Berry  <karl@gnu.org>
    Kaveh R. Ghazi <ghazi@caip.rutgers.edu>
    Noah Friedman <friedman@prep.ai.mit.edu>
    Richard Stallman <rms@gnu.ai.mit.edu>
    Robert J. Chassell <bob@gnu.ai.mit.edu>
    Roland McGrath <roland@gnu.ai.mit.edu>

%prep
rm -rf texi2html-1.76 texi2roff-2.0
%setup -b 1 -b 2
%patch
%patch4 -p0 -b .zlib
%patch5 -p0 -b .tempfile
%patch6 -p0 -b .echo
# nb is already there and more recent
rm -fv po/no.*
cd ../texi2html-1.76
%patch -P 1
cd ../texi2roff-2.0
%patch -P 3 -p 0 -b .Bader
%patch -P 2
%patch7 -p1

%build
    HOST=%{_target_cpu}-suse-linux
    CFLAGS="$RPM_OPT_FLAGS -pipe"
    LDFLAGS=""
    CC=gcc
    export CFLAGS LDFLAGS CC
    ./configure --build=$HOST		\
	--prefix=/usr			\
	--mandir=%{_mandir}		\
	--infodir=%{_infodir}		\
	--without-included-gettext	\
	--with-catgets			\
	--enable-nls
    make
    PATH=${PWD}/makeinfo:${PWD}/util:$PATH
    export PATH
cd ../texi2html-1.76
    CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pipe"
    ./configure --build=$HOST		\
	--prefix=/usr			\
	--infodir=%{_infodir}		\
	--mandir=%{_mandir}		\
	--without-included-gettext	\
	--with-catgets			\
	--enable-nls
    make
cd ../texi2roff-2.0
    rm -f texi2roff
    make

%install
rm -rf ${RPM_BUILD_ROOT}/
    make DESTDIR=${RPM_BUILD_ROOT} \
	infodir=%{_infodir}	   \
	htmldir=%{_defaultdocdir}/texi2html install
    mkdir -p ${RPM_BUILD_ROOT}/sbin
    mv ${RPM_BUILD_ROOT}/usr/bin/install-info ${RPM_BUILD_ROOT}/sbin/
    ln -sf ../../sbin/install-info ${RPM_BUILD_ROOT}/usr/bin/install-info
    mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
    install -m 644 ${RPM_SOURCE_DIR}/info-dir ${RPM_BUILD_ROOT}%{_infodir}/dir
    rm -f ${RPM_BUILD_ROOT}/usr/bin/texi2pdf
cd ../texi2html-1.76
    make DESTDIR=${RPM_BUILD_ROOT} \
	infodir=%{_infodir}	   \
	texinfohtmldir=%{_defaultdocdir}/texi2html install
cd ../texi2roff-2.0
    doc=%{_defaultdocdir}/texi2roff
    install -m 755 texi2roff     ${RPM_BUILD_ROOT}/usr/bin/
    install -m 755 texi2index    ${RPM_BUILD_ROOT}/usr/bin/
    install -m 644 texi2roff.1   ${RPM_BUILD_ROOT}%{_mandir}/man1/
    mkdir -p                     ${RPM_BUILD_ROOT}${doc}
    install -m 644 Readme        ${RPM_BUILD_ROOT}${doc}
    install -m 644 copyright     ${RPM_BUILD_ROOT}${doc}

%clean
test -n "$RPM_BUILD_ROOT" && rm -rf ${RPM_BUILD_ROOT}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/texinfo.gz
%install_info --info-dir=%{_infodir} %{_infodir}/texi2html.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/texinfo.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/texi2html.info.gz

%post -n info
%install_info --info-dir=%{_infodir} %{_infodir}/info-stnd.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/info.info.gz

%postun -n info
%install_info_delete --info-dir=%{_infodir} %{_infodir}/info-stnd.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/info.info.gz

%files
%defattr(-, root, root)
%dir %{_defaultdocdir}/texi2html
%dir %{_defaultdocdir}/texi2roff
%doc ABOUT-NLS AUTHORS COPYING INTRODUCTION NEWS README TODO
%doc doc/texinfo.tex doc/txi-*.tex
%doc %{_defaultdocdir}/texi2html/texi2html.html
%doc %{_defaultdocdir}/texi2roff/Readme
%doc %{_defaultdocdir}/texi2roff/copyright
/usr/bin/makeinfo
/usr/bin/texi*
%{_infodir}/texinfo*.gz
%{_infodir}/texi2html*.gz
%{_mandir}/man1/makeinfo.1.gz
%{_mandir}/man1/texi*.1.gz
%{_mandir}/man5/texinfo.5.gz
/usr/share/locale/*/*/texinfo.mo
/usr/share/texinfo
/usr/share/texi2html

%files -n info
%defattr(-,root,root)
%config(noreplace) %verify(not md5 size mtime) %{_infodir}/dir
/sbin/install-info
/usr/bin/install-info
%{_bindir}/info
%{_bindir}/infokey
%{_infodir}/info.info*
%{_infodir}/info-stnd.info*
%{_mandir}/man1/info.1*
%{_mandir}/man1/infokey.1*
%{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5*

%changelog -n texinfo
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - werner@suse.de
- Add missing sym link to file list
* Thu Oct 06 2005 - werner@suse.de
- Use directory for the base of temporary index files (bug #120577)
* Thu Mar 24 2005 - uli@suse.de
- fixed to build with GCC4
* Thu Feb 10 2005 - werner@suse.de
- Update to next bug fix release 1.76 of texi2html
* Tue Feb 01 2005 - werner@suse.de
- Update to bug fix release 1.74 of texi2html
* Thu Jan 27 2005 - werner@suse.de
- Fix texi2html to not loop around on broken texi files
- Remove texi2pdf from texinfo file list due already part of
  tetex
* Wed Jan 26 2005 - schwab@suse.de
- Reenable strict aliasing.
* Tue Jan 25 2005 - werner@suse.de
- Move texi2html version to 1.72
- Update texinfo version to 4.8
* Tue Oct 19 2004 - ro@suse.de
- drop no locale support, nb is already there
* Mon Aug 09 2004 - werner@suse.de
- Info: check remaining buffer size before printing into echo area
* Fri Jul 02 2004 - mfabian@suse.de
- apply makeinfo.patch received from Karl Berry
  <karl@freefriends.org> fixing the problem that makeinfo 4.7
  could not process groff.texinfo anymore. See
  http://lists.gnu.org/archive/html/bug-texinfo/2004-04/msg00026.html
  http://article.gmane.org/gmane.comp.tex.texinfo.bugs/2019/
* Wed Apr 21 2004 - werner@suse.de
- Use libzio together with zlib and libbz2 to support bz2 info
  files to avoids pipe()/fork()/execve() calls in install-info.
* Mon Apr 19 2004 - werner@suse.de
- Be sure that texi2html find all required tools
* Fri Apr 16 2004 - werner@suse.de
- Update to texinfo 4.7
- Use -fno-strict-aliasing
* Sun Mar 14 2004 - schwab@suse.de
- Fix uses of snprintf and gzFile.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Dec 10 2003 - werner@suse.de
- Update to texinfo 4.6
* Wed May 21 2003 - ro@suse.de
- fix filelist: package files in /usr/share/texinfo
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Sun Mar 09 2003 - kukuk@suse.de
- Add zlib to info PreRequires [Bug #24954]
* Tue Feb 11 2003 - kukuk@suse.de
- Branch off info sub package
- Add /usr/share/info/dir
* Sat Feb 08 2003 - kukuk@suse.de
- Remove PreRequire for gzip, link against zlib instead (patched
  based on version from RH)
* Sat Feb 08 2003 - ro@suse.de
- fixed pre/post install scripts
* Fri Feb 07 2003 - ro@suse.de
- removed self-prereq again
* Thu Feb 06 2003 - aj@suse.de
- Use install_info.
- Update to texinfo 4.5.
* Wed Jan 22 2003 - werner@suse.de
- Request gzip before installing (bug #22992)
* Fri Aug 30 2002 - werner@suse.de
- Add a warning on missed programs and say what todo (bug #18642)
* Mon Jun 17 2002 - schwab@suse.de
- Update to texinfo 4.2.
* Thu Mar 07 2002 - schwab@suse.de
- Update to texinfo 4.1.
* Wed Feb 13 2002 - schwab@suse.de
- Fix verbose message of texi2dvi.
* Thu Jan 24 2002 - okir@suse.de
- fixed tempfile races in texindex (moved all tempfiles
  into a subdirectory of /tmp).
* Wed Jan 16 2002 - schwab@suse.de
- Fix bad free in "makeinfo --html".
* Tue Jun 12 2001 - schwab@suse.de
- Fix directive inside macro call.
* Thu Apr 12 2001 - werner@suse.de
- Use CVS snapshot of texi2html which works on glibc texinfo code
* Thu Apr 12 2001 - ro@suse.de
- fixed glossary for texi2html
* Wed Apr 11 2001 - werner@suse.de
- Update of texi2html and texi2roff
* Thu Sep 28 2000 - werner@suse.de
- Move /usr/bin/install-info to /sbin/install-info and
  set backward compatibility symlink.
* Wed May 31 2000 - werner@suse.de
- use rpm macros for common paths
* Mon Feb 28 2000 - werner@suse.de
- Fix segmentation fault (close bug #1911)
* Thu Feb 03 2000 - werner@suse.de
- Fixed de.po
* Wed Feb 02 2000 - werner@suse.de
- Remove Makefile.Linux
- /usr/man -> /usr/share/man
- /usr/info -> /usr/share/info (man pages and main for info program)
- Install info pages of texinfo
* Wed Dec 01 1999 - werner@suse.de
- small changes
* Mon Nov 29 1999 - ke@suse.de
- update: version 4.0 (#600).
- use BuildRoot.
- install COPYRIGHT, etc.
- don't disable NLS.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jan 11 1999 - ro@suse.de
- info/terminal.c : TIOCGETC and TIOCGLTC are defined on alpha,
  but we can't access tchars and ltchars strutures,
  so undef both
  use tcgetattr and cfgetospeed to determine output
  speed
* Fri Jul 17 1998 - werner@suse.de
- check exit satus of mkdir for temp directories
* Tue Oct 14 1997 - ro@suse.de
- update to 3.12
- ready for autobuild
* Fri Oct 10 1997 - florian@suse.de
- update to texinfo 3.11
* Sun Jun 22 1997 - florian@suse.de
- add debian-changes to support ANSI-cursor movements
- add texi2html 1.51
- add texi2roff 2.0
* Sun Apr 13 1997 - florian@suse.de
- cosmetic changes, just done in preparation for glibc
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 3.9.
